package idc.model;

import java.sql.Date;

public class IdcLineDBDTO 
{
	private int num;
	private int line_num;
	private String line_code;
	private String line_case;
	private String line_IP;
	private String line_able;
	private String line_block;
	private String line_client_name;
	private String line_mainip;
	private String line_subip1;
	private String line_subip2;
	private String line_subip3;
	private Date line_user_allocatingday;
	private Date line_user_endday;
	private String line_before_user;
	private Date line_before_allocatingday;
	private Date line_before_endday;
	private String line_before_mainip;
	private String line_before_subip1;
	private String line_before_subip2;
	private String line_before_subip3;
	private String line_block_note;
	private String line_reason;
	private String line_note;
	private Date line_block_endday;
	private String line_phone;
	private String line_gateway;
	private String line_subnet;
	private String line_id;
	private String line_pass;
	private String line_name;
	private String line_haveip;
	
	
	
	public int getNum()
	{
		return num;
	}
	public void setNum(int num)
	{
		this.num = num;
	}
	public String getLine_phone() {
		return line_phone;
	}
	public void setLine_phone(String line_phone) {
		this.line_phone = line_phone;
	}
	public String getLine_gateway() {
		return line_gateway;
	}
	public void setLine_gateway(String line_gateway) {
		this.line_gateway = line_gateway;
	}
	public String getLine_subnet() {
		return line_subnet;
	}
	public void setLine_subnet(String line_subnet) {
		this.line_subnet = line_subnet;
	}
	public String getLine_id() {
		return line_id;
	}
	public void setLine_id(String line_id) {
		this.line_id = line_id;
	}
	public String getLine_pass() {
		return line_pass;
	}
	public void setLine_pass(String line_pass) {
		this.line_pass = line_pass;
	}
	public String getLine_name() {
		return line_name;
	}
	public void setLine_name(String line_name) {
		this.line_name = line_name;
	}
	public Date getLine_block_endday() {
		return line_block_endday;
	}
	public void setLine_block_endday(Date line_block_endday) {
		this.line_block_endday = line_block_endday;
	}
	public String getLine_code() {
		return line_code;
	}
	public String getLine_block_note() {
		return line_block_note;
	}
	public void setLine_block_note(String line_block_note) {
		this.line_block_note = line_block_note;
	}
	public String getLine_reason() {
		return line_reason;
	}
	public void setLine_reason(String line_reason) {
		this.line_reason = line_reason;
	}
	public String getLine_note() {
		return line_note;
	}
	public void setLine_note(String line_note) {
		this.line_note = line_note;
	}
	public void setLine_user_allocatingday(Date line_user_allocatingday) {
		this.line_user_allocatingday = line_user_allocatingday;
	}
	public void setLine_user_endday(Date line_user_endday) {
		this.line_user_endday = line_user_endday;
	}
	public void setLine_before_allocatingday(Date line_before_allocatingday) {
		this.line_before_allocatingday = line_before_allocatingday;
	}
	public void setLine_before_endday(Date line_before_endday) {
		this.line_before_endday = line_before_endday;
	}
	public void setLine_code(String line_code) {
		this.line_code = line_code;
	}
	public String getLine_case() {
		return line_case;
	}
	public void setLine_case(String line_case) {
		this.line_case = line_case;
	}
	public String getLine_able() {
		return line_able;
	}
	public void setLine_able(String line_able) {
		this.line_able = line_able;
	}
	public String getLine_block() {
		return line_block;
	}
	public void setLine_block(String line_block) {
		this.line_block = line_block;
	}
	public String getLine_IP() {
		return line_IP;
	}
	public void setLine_IP(String line_IP) {
		this.line_IP = line_IP;
	}
	public String getLine_client_name() {
		return line_client_name;
	}
	public void setLine_client_name(String line_client_name) {
		this.line_client_name = line_client_name;
	}
	public String getLine_mainip() {
		return line_mainip;
	}
	public void setLine_mainip(String line_mainip) {
		this.line_mainip = line_mainip;
	}
	public String getLine_subip1() {
		return line_subip1;
	}
	public void setLine_subip1(String line_subip1) {
		this.line_subip1 = line_subip1;
	}
	public String getLine_subip2() {
		return line_subip2;
	}
	public void setLine_subip2(String line_subip2) {
		this.line_subip2 = line_subip2;
	}
	public String getLine_subip3() {
		return line_subip3;
	}
	public void setLine_subip3(String line_subip3) {
		this.line_subip3 = line_subip3;
	}
	public Date getLine_user_allocatingday() {
		return line_user_allocatingday;
	}
	public void setLine_user_allocatingday(String line_user_allocatingday) {
		this.line_user_allocatingday = Date.valueOf(line_user_allocatingday);
	}
	public Date getLine_user_endday() {
		return line_user_endday;
	}
	public void setLine_user_endday(String line_user_endday) {
		System.out.println(line_user_endday);
		this.line_user_endday = Date.valueOf(line_user_endday);
	}
	public String getLine_before_user() {
		return line_before_user;
	}
	public void setLine_before_user(String line_before_user) {
		this.line_before_user = line_before_user;
	}
	public Date getLine_before_allocatingday() {
		return line_before_allocatingday;
	}
	public void setLine_before_allocatingday(
			String line_before_allocatingday) {
		if(!line_before_allocatingday.equalsIgnoreCase(""))
			this.line_before_allocatingday = Date.valueOf(line_before_allocatingday);
		else
			this.line_before_allocatingday = null;
	}
	public Date getLine_before_endday() {
		return line_before_endday;
	}
	public void setLine_before_endday(String line_before_endday) {
		if(!line_before_endday.equalsIgnoreCase(""))
			this.line_before_endday = Date.valueOf(line_before_endday);
		else
			line_before_endday=null;
	}
	public String getLine_before_mainip() {
		return line_before_mainip;
	}
	public void setLine_before_mainip(String line_before_mainip) {
		this.line_before_mainip = line_before_mainip;
	}
	public String getLine_before_subip1() {
		return line_before_subip1;
	}
	public void setLine_before_subip1(String line_before_subip1) {
		this.line_before_subip1 = line_before_subip1;
	}
	public String getLine_before_subip2() {
		return line_before_subip2;
	}
	public void setLine_before_subip2(String line_before_subip2) {
		this.line_before_subip2 = line_before_subip2;
	}
	public String getLine_before_subip3() {
		return line_before_subip3;
	}
	public void setLine_before_subip3(String line_before_subip3) {
		this.line_before_subip3 = line_before_subip3;
	}
	public String getLine_haveip() {
		return line_haveip;
	}
	public void setLine_haveip(String line_haveip) {
		this.line_haveip = line_haveip;
	}

	public int getLine_num()
	{
		return line_num;
	}
	public void setLine_num(int line_num)
	{
		this.line_num = line_num;
	}
}
